## darkstat 2.6

=== python/Makefile ===

all:
	@echo "Nothing to do for target \`all'"

install:
	python setup.py install -O2

sdist:
	python setup.py sdist

## darkstat 3.0.713

=== debian/changelog ===
darkstat (3.0.713-2) unstable; urgency=low

  * Patches forwarded from Emil 
    and Ubuntu Maintainers, thank you guys :) :
      + Improve comments on init.cfg to be less confusing to users.
      + Add $DAYLOG and $FILTER vars to init.cfg conf 
        file and init.d script.
      + Remove unused options from configure-stamp target.
  * Allow extra OPTIONS at the config file, thanks goes to 
    Javier Barroso. (Closes: #581553)
  

 -- Rene Mayorga <rmayorga@debian.org>  Thu, 20 May 2010 10:01:02 -0600

darkstat (3.0.713-1) unstable; urgency=low

  * New upstream release
  * Remove fetch-upstream-changelog upstream from debian/rules 
    and remove changelog.upstream from debian/, upstream now includes this 
    on the tarball, thanks Emil!.
  * Set standards-version to 3.8.4 ( no changes needed ) 
  * Use $remote_fs on Requiired-Start at init.d script.
  * Update copyright info.
  * Remove THANKS from debian/docs upstream now include this info on AUTHORS
  * Remove the leading article on Description

 -- Rene Mayorga <rmayorga@debian.org>  Tue, 23 Mar 2010 18:39:54 -0600

darkstat (3.0.712-2) unstable; urgency=low

  * Clarify configuration example about the -l option about the
    expected format of the network. (Closes: #556140)
  * Add Russian debconf templates translation, thanks to
    Yuri Kozlov <yuray@komyakino.ru>. (Closes: #543183)
  * Update standards-versions to 3.8.3 (No changes needed)

 -- Rene Mayorga <rmayorga@debian.org>  Sun, 15 Nov 2009 11:15:38 -0600

darkstat (3.0.712-1) unstable; urgency=low

  * New upstream release (Closes: #515183)
  * remove manpage-section-and-minus-hyphen.patch
    applied upstream.
  * debian/control: 
    + remove quilt B-D
    + Update my email address
    + Depends on DH 7
    + add lsb-base to Depends
  * debian/rules
    + remove workarround for darkstat.8 changes
    + use dh_prep insted dh_clean -k
    + use -R option on dh_installinit
    + add fetch-upstream-changelog target
  * remove README.source
  * debian/init.d:
    + remove unused $SPY var 
    + not use debug-run anymore, just show a note about the manpage
    + use lsb-functions instead of plain `echo' calls
    + do more checks based on the PIDFILE to verify if darkstat status
    + some other minor/cosmetic tweaks
  * debian/copyright: update upstream copyright years
  * correct some small typos at README.Debian
  * add and install the upstream changelog provided
    only online at: http://dmr.ath.cx/net/darkstat/changelog.txt

 -- Rene Mayorga <rmayorga@debian.org>  Mon, 16 Feb 2009 13:47:10 -0600

darkstat (3.0.708-2) unstable; urgency=low

  * fix workaround to --import/--export at init script
    this prevent darkstat.db being replaced. Closes: #500070
  * remove debconf note about the init script inclussion
  * remove checks for 2.5-1 versions
  * debian/copyright
    + Add 2-clause BSD license for tree.h and host_sort.c
      and remove the note for /usr/share/common-licenses/BSD
    + add conv.c, actc.c err.c, err.h, str.c and str.h copyright stanza
  * debian/init.d
    + Set Conf variables to empty string before sourcing init.cfg
  * debian/postint
    + only remove DB when version is lt 3.0.707-1
  * debian/templates remove upgrade-note
  * debian/rules
    + made build-stamp depends on configure-stamp not configure
    + made install-stamp depends on build-stamp not build
    + use DESTDIR instead prefix at install-stamp target
  * debian/README.Debian - point to the correct section on the 
    reference to the manpage

 -- Rene Mayorga <rmayorga@debian.org.sv>  Mon, 06 Oct 2008 21:49:52 -0400

darkstat (3.0.708-1) unstable; urgency=low

  * New upstream release
  * Refresh manpage patch
  * Bump Standards-version to 3.8.0
    + Add README.source
  * Use debhelper compat-level 6
  * use install instead of cp to move manpage
  * check for existance of Makefile and config.h after try to delete it 
  * use dh_clean instead of -rm- at debian/rules
  * remove -DNDEBUG option, is not used anymore

 -- Rene Mayorga <rmayorga@debian.org.sv>  Wed, 04 Jun 2008 22:42:48 -0600

darkstat (3.0.707-2) unstable; urgency=low

  * debian/init.d
     + Fix init.d script problem when START_DARKSTAT is not defined
       Closes: #458971
     + Improve the init.d script

 -- Rene Mayorga <rmayorga@debian.org.sv>  Thu, 03 Jan 2008 18:57:30 -0600

darkstat (3.0.707-1) unstable; urgency=low

  * New Upstream release (Closes: #429769)
  * debian/init.d 
    + changes to complain with the newest upstream options
  * README.Debian updated
  * Using the same old question in debconf about removing old database
  * debian/control
    + Add zlib1g-dev to Build-Depends
    + quilt added to Build-Depends 
    + Bump standard version to 3.7.3 ( no changes required )
  * debian/rules
    + quilt added
    + remove autogenerated config.h and Makefile at clean target
    + dh_intallman added
    + rename manpage to reflect the proper section, and undo the changes
      on clean target
    + remove lookup for DEB_BUILD_OPTIONS=nostrip and let dh_strip makes
      the work
  * debian/patches
    + Patch Makefile.in to prevent installation of manpage and
      manpage patch to reflect the proper section (was 1 should be 8)
      Patch darkstat.1, using hyphens instead minus sign at options
      alfo fixing NAME section.
  * debian/copyright
    + Upstream URL updated
    + copyright info related to upstream updated
    + add copyright info from other part of the source

 -- Rene Mayorga <rmayorga@debian.org.sv>  Sun, 30 Sep 2007 09:42:04 -0600

darkstat (2.6-15) unstable; urgency=low

  * New Maintainer (Closes: #439044)
  * debian/control
    + debhelper in B-D version raised to >= 5
    + added Hompage field
  * debian/init.d
    + modified to complain Debian-policy regarding LSB
  * debian/rules
    + de-ignoring output from 'make clean'
    + clean some comments and cosmetic changes
  * debian/watch added


 -- Rene Mayorga <rmayorga@debian.org.sv>  Sat, 22 Sep 2007 18:29:01 -0600



=== debian/control ===
Source: darkstat
Section: net
Priority: optional
Maintainer: Rene Mayorga <rmayorga@debian.org>
Build-Depends: debhelper (>= 7), libpcap-dev, autotools-dev, po-debconf,
 zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://dmr.ath.cx/net/darkstat/

Package: darkstat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Description: network traffic analyzer
 It is a packet sniffer which runs as a background process and serves its
 statistics to a web browser:
  - input and output IP traffic by machines, ports and protocols,
  - last minute, hourly, daily and monthly global input and output graphics.
 .
 It is known to be smaller (in terms of memory footprint) and stabler than ntop.

=== debian/watch ===
version=3
http://dmr.ath.cx/net/darkstat/darkstat-(.*)\.tar\.bz2

## darkstat 3.0.714+dfsg

=== debian/changelog ===
darkstat (3.0.714+dfsg-1) unstable; urgency=low

  * New upstream release
    + IPv6 support added by upstream (Closes: #593900)
  * debian/control: replace the old homepage
  * Added Brazilian Portuguese debconf template, thanks
    to Flamarion Jorge <flamarilinux@yahoo.com.br> (Closes: #621868)
  * debian/watch: 
    + update to new homepage
    + call rpack.sh to recreate +dfsg.orig.tar.gz
    + add dversionmangle, now we are using +dfsg
  * debian/copyright: 
    + update copyright info
  * Remove contrib/darkproxy.php from tarball and repack as DFSG, 
    this file does not have any valid license.
    + Add script rpack.sh based on repack.sh from pkg-perl
    + Add README.Source to document the repacked tarball.

 -- Rene Mayorga <rmayorga@debian.org>  Tue, 07 Jun 2011 08:53:58 -0600

darkstat (3.0.713-3) unstable; urgency=low

  * Fix a lot of pending l10n bugs:
    + Adding Danish translation tanks goes to 
      Joe Dalton <joedalton2@yahoo.dk> (Closes: #601713)
    + Adding Vietnamese tranlation, thanks goes to
      Clytie Siddall <clytie@riverland.net.au> (Closes: #601927)
    + Adding Slovak translations, thanks goes to:
      helix84@centrum.sk (Closes: #619590)
    + Adding Finnish translation, thanks goes to
      Esko Arajärvi <edu@iki.fi> (Closes: #619750)
    + Adding Norwegian Bokmal tranlations, thanks goes to:
      Bjørn Steensrud <bjornst@skogkatt.homelinux.org> (Closes: #619732)
  * Update Standards versions to 3.9.2 (No changes needed)
  * debian/copyright: 
    + Inlcude full text of BSD License.
    + Update copyright info for sort_hosts.c

 -- Rene Mayorga <rmayorga@debian.org>  Thu, 07 Apr 2011 19:52:26 -0600

## darkstat 3.0.715

=== debian/changelog ===
darkstat (3.0.715-1) unstable; urgency=low

  * New upstream release
  * Using orig.tar.gz whitout repack again since upstream correct the
    license's issues.

 -- Rene Mayorga <rmayorga@debian.org>  Mon, 12 Mar 2012 23:43:43 +0900

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Rene Mayorga <rmayorga@debian.org>
 Build-Depends: debhelper (>= 7), libpcap-dev, autotools-dev, po-debconf,
  zlib1g-dev
-Standards-Version: 3.8.4
-Homepage: http://dmr.ath.cx/net/darkstat/
+Standards-Version: 3.9.2
+Homepage: http://unix4lyfe.org/darkstat/
 
 Package: darkstat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS += -Wall -g

configure: configure-stamp
configure-stamp: 
	dh_testdir
	cp /usr/share/misc/config.sub /usr/share/misc/config.guess .
	CFLAGS="$(CFLAGS)" LDFLAGS="$(INSTALL_PROGRAM)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --with-chroot-dir=/var/lib/darkstat
	touch $@

build: configure-stamp build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	dh_clean build-stamp configure-stamp config.status config.log install-tamp config.sub config.guess
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || rm -f Makefile
	[ ! -f config.h ] || rm -f config.h
	[ ! -f darkstat.8 ] || rm -f darkstat.8
	debconf-updatepo

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/darkstat
	install -m 644 debian/init.cfg $(CURDIR)/debian/darkstat/etc/darkstat
	touch $@

binary-indep: build install
# nothing to do

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs -n
	dh_installinit -R
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
options=dversionmangle=s/\+dfsg// \
	http://unix4lyfe.org/darkstat/darkstat-(.*)\.tar\.bz2 \
	debian debian/rpack.sh

## darkstat 3.0.718

=== debian/changelog ===
darkstat (3.0.718-2) unstable; urgency=low

  * Fix FTBFS on Hurd

 -- Rene Mayorga <rmayorga@debian.org>  Sun, 13 Apr 2014 18:41:00 +0000

darkstat (3.0.718-1) unstable; urgency=low

  * New upstream release (Closes: #737857)
    + Fix IPv6 error on start (Closes: 687967)
    + Fix exits when monitoring ppp0 (Closes: #663515)
  * debian/watch - remove dversionmangle and repack script
  * debian/rpack.sh deleted.
  * README.Source deleted
  * Add Emil as a co-maint
  * debian/rules
    + remove not needed options on configure-stamp
    + use dpkg-buildflags 
  * use dh compat 9, debhelper B-D updated
  * Update debian policy to 3.9.5
    + use mandatory build-arch and build-indep targets
  * Convert to dpkg-source 3.0 quilt format
  * Correct tcpdump's section number on the manpage (Closes: #671442)

 -- Rene Mayorga <rmayorga@debian.org>  Sun, 23 Mar 2014 12:36:51 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Rene Mayorga <rmayorga@debian.org>
-Build-Depends: debhelper (>= 7), libpcap-dev, autotools-dev, po-debconf,
+Uploaders: Emil Mikulic <emikulic@gmail.com>
+Build-Depends: debhelper (>= 9), libpcap-dev, autotools-dev, po-debconf,
  zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://unix4lyfe.org/darkstat/
 
 Package: darkstat

=== debian/watch ===
version=3
http://unix4lyfe.org/darkstat/darkstat-(.*)\.tar\.bz2

## darkstat 3.0.719

=== debian/changelog ===
darkstat (3.0.719-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:18:40 +0000

darkstat (3.0.719-1) unstable; urgency=low

  * New upstream release
    + Implement tracking of remote ports: shows which ports the host
      is making outgoing connections to. Long time feature request.
    + Bugfix: when the capture interface goes down, exit instead of
      busy-looping forever.
    + Fix "clock error" due to machine reboot. (Closes: #800587)
    + SIGUSR1 now resets the time and bytes reported on the graphs
      page.
    + Account for all IP protocols.
    + Change the default ports_max to only twice the default
      ports_keep.
  * Update debian policy to 3.9.6, no changes needed.
  * Update homepage url to use https

 -- Emil Mikulic <emikulic@gmail.com>  Thu, 15 Oct 2015 23:49:59 +1100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: darkstat
 Section: net
 Priority: optional
-Maintainer: Rene Mayorga <rmayorga@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rene Mayorga <rmayorga@debian.org>
 Uploaders: Emil Mikulic <emikulic@gmail.com>
 Build-Depends: debhelper (>= 9), libpcap-dev, autotools-dev, po-debconf,
  zlib1g-dev
-Standards-Version: 3.9.5
-Homepage: http://unix4lyfe.org/darkstat/
+Standards-Version: 3.9.6
+Homepage: https://unix4lyfe.org/darkstat/
 
 Package: darkstat
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,22 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS += -Wall -g
+# CFLAGS += -Wall -g
+# 
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 configure: configure-stamp
 configure-stamp: 
 	dh_testdir
 	cp /usr/share/misc/config.sub /usr/share/misc/config.guess .
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(INSTALL_PROGRAM)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --with-chroot-dir=/var/lib/darkstat
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man
 	touch $@
 
 build: configure-stamp build-stamp
+build-arch: build
+build-indep: build 
 
 build-stamp: configure-stamp
 	dh_testdir

## darkstat 3.0.721

=== debian/changelog ===
darkstat (3.0.721-4) unstable; urgency=medium

  * Team upload.
  * Added po-debconf Catalan translation

 -- Carles Pina i Estany <carles@pina.cat>  Wed, 22 Oct 2025 08:52:47 +0200

darkstat (3.0.721-3) unstable; urgency=medium

  * Team upload.
  * d/init.cfg: the default port is 667, not 666 (LP: #1699374)
  * d/p/0003: use SOCK_NONBLOCK instead of fd_set_nonblock() when available
  * d/init.d: check for $START_DARKSTAT better (LP: #1839492)
  * d/control: Standards-Version: 4.7.0 -> 4.7.2

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 27 Aug 2025 16:38:55 +0200

darkstat (3.0.721-2) unstable; urgency=medium

  * Revert "Drop debian/dirs which is unneeded" (Closes: #1088668)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 29 Nov 2024 18:01:35 +0100

darkstat (3.0.721-1) unstable; urgency=medium

  [ наб ]
  * Team upload.
  * New upstream version 3.0.721
  * Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
    Closes: #1085516
  * d/watch: fix for https://github.com/emikulic/darkstat
  * d/control: Vcs-Git: https://salsa.debian.org/salvage-team/darkstat.git
  * d/control: Standards-Version: 3.9.6 -> 4.7.0
  * d/rules: use dh
  * d/docs: update for 3.0.721-1
  * d/control: lintian depends-on-obsolete-package Depends: lsb-base
  * d/darkstat.service: add (Closes: #1039164)
  * d/po/fr.po, d/po/sv.po: UTF-8ise
  * d/control: Rules-Requires-Root: no
  * debian/patches/0002: Don't autodetect and link to libbsd
  * Hardening
  * debhelper-compat 13 (routine-update)
  * d/copyright: DEP-5

  [ Remus-Gabriel Chelu ]
  * [INTL:ro] Romanian debconf templates translation of darkstat
    (Closes: #1031605)

  [ Helmut Grohne ]
  * Fix FTCBFS: Supply HOSTCC to make. (Closes: #914628)

  [ Andreas Tille ]
  * Drop debian/dirs which is unneeded
  * Fix day-of-week for changelog entry 2.3-2.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 09 Nov 2024 23:34:32 +0100

darkstat (3.0.719-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Add debconf template translation
    - Add Italian translation.
     Thanks to Beatrice Torracca (Closes: #766863)

 -- Dr. Helge Kreutzmann <debian@helgefjell.de>  Thu, 19 Jan 2023 19:29:36 +0100

=== debian/control ===
Source: darkstat
Section: net
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Rene Mayorga <rmayorga@debian.org>, Emil Mikulic <emikulic@gmail.com>
Build-Depends: debhelper-compat (= 13), libpcap-dev, po-debconf, zlib1g-dev
Standards-Version: 4.7.2
Homepage: https://unix4lyfe.org/darkstat/
Vcs-Git: https://salsa.debian.org/salvage-team/darkstat.git
Vcs-Browser: https://salsa.debian.org/salvage-team/darkstat
Rules-Requires-Root: no

Package: darkstat
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network traffic analyzer
 It is a packet sniffer which runs as a background process and serves its
 statistics to a web browser:
  - input and output IP traffic by machines, ports and protocols,
  - last minute, hourly, daily and monthly global input and output graphics.
 .
 It is known to be smaller (in terms of memory footprint) and stabler than ntop.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
CC_FOR_BUILD ?= cc

override_dh_clean:
	dh_clean build-stamp configure-stamp config.status config.log install-tamp config.sub config.guess
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || rm -f Makefile
	[ ! -f config.h ] || rm -f config.h
	[ ! -f darkstat.8 ] || rm -f darkstat.8
	debconf-updatepo

override_dh_auto_configure:
	dh_auto_configure -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"

override_dh_auto_build:
	dh_auto_build -- HOSTCC=$(CC_FOR_BUILD) HOSTCFLAGS="$(patsubst -m%,,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS))"

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/darkstat

override_dh_installinit:
	dh_installinit -R

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/emikulic/darkstat/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## darkstat 3.0.722

=== debian/changelog ===
darkstat (3.0.722-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove old FSF address

  [ наб ]
  * New upstream version 3.0.722
  * d/control: add myself to Uploaders

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 15 Dec 2025 21:48:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
-Uploaders: Rene Mayorga <rmayorga@debian.org>, Emil Mikulic <emikulic@gmail.com>
+Uploaders: Rene Mayorga <rmayorga@debian.org>, Emil Mikulic <emikulic@gmail.com>, наб <nabijaczleweli@nabijaczleweli.xyz>
 Build-Depends: debhelper-compat (= 13), libpcap-dev, po-debconf, zlib1g-dev
 Standards-Version: 4.7.2
 Homepage: https://unix4lyfe.org/darkstat/
